import { get, remove, set } from './index';
export function update(callback, key, map) {
    var oldv = get(key, map);
    var newv = callback(oldv, map);
    return newv === oldv ? map
        : newv === void 0 ? remove(key, map)
            : set(key, newv, map);
}
//# sourceMappingURL=update.js.map